curl --request PUT \
--url https://api.streamkap.com/sources/bulk_update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payload": {
"tags": [
"<string>"
]
},
"ids": [
"<string>"
],
"select_all": false,
"filters": {
"source_id": "<string>",
"destination_id": "<string>"
}
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update tags for multiple sources in bulk.
Supports two modes:
curl --request PUT \
--url https://api.streamkap.com/sources/bulk_update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payload": {
"tags": [
"<string>"
]
},
"ids": [
"<string>"
],
"select_all": false,
"filters": {
"source_id": "<string>",
"destination_id": "<string>"
}
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Generic bulk update request for tags on any entity type.
Supports two modes:
Payload for bulk tag updates across entity types.
Show child attributes
List of entity IDs to update
If true, select all entities matching the filters
Optional filters when using select_all
Show child attributes
Successful Response
Was this page helpful?